Bug 125324 - FILESAVE: DOCX: floating table changes position after RT
Summary: FILESAVE: DOCX: floating table changes position after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Patrick Jaap
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6.2.5
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2019-05-16 17:15 UTC by Xisco Faulí
Modified: 2019-06-10 13:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
How it looks in LibreOffice 6.3 master (31.38 KB, image/png)
2019-05-16 17:15 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-05-16 17:15:47 UTC
Created attachment 151465 [details]
How it looks in LibreOffice 6.3 master

Steps to reproduce:
1. Open attachment 76489 [details] from bug 62306
2. Save it as DOCX
3. Open the new document

-> Layout is different as before saving the file. See attached screenshot

Reproduced in

Version: 6.3.0.0.alpha1+
Build ID: f897342320ad3a29cf4be1437c8e3ce888bdb3cb
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2019-05-16 17:16:47 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=2d6f8c36126effc66ea35af2e65da6609fcfe013

author	Patrick Jaap <patrick.jaap@tu-dresden.de>	2019-02-14 10:08:58 +0100
committer	Miklos Vajna <vmiklos@collabora.com>	2019-04-05 15:33:48 +0200
commit 2d6f8c36126effc66ea35af2e65da6609fcfe013 (patch)
tree 6e200700f82194c9c112f598c4846b0dd0e7f8b8
parent 22d79472b6f395a2b4de74dc360bf8e61b1028e3 (diff)
FIX: DOCX export: use all updated attributes during table export

Bisected with: bibisect-linux64-6.3

Adding Cc: to Patrick Jaap
Comment 2 Xisco Faulí 2019-05-16 17:20:11 UTC
Same behaviour reproduced with attachment 126951 [details] from bug 101650
Comment 3 Patrick Jaap 2019-06-03 12:12:17 UTC
Hi, I'll have a look
Comment 4 Patrick Jaap 2019-06-03 16:17:27 UTC
patch on gerrit: https://gerrit.libreoffice.org/#/c/73402/
Comment 5 Commit Notification 2019-06-06 15:21:30 UTC
Patrick Jaap committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/dac2ff37431151d13589801fa4767633b4df72b9%5E%21

tdf#125324 table export: do not ignore default values

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-06-07 06:59:06 UTC
Patrick Jaap committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/48653935ec71ab703c3a4c387dc192bae4643356%5E%21

tdf#125324 table export: do not ignore default values

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-06-07 09:49:18 UTC
Patrick Jaap committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/a62583681703f28bb421da26e343fd0be9f8fe50%5E%21

tdf#125324 table export: do not ignore default values

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-06-10 13:51:08 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 43ddddb703bcdb9430752af63ae46527f737f874
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Closing as VERIFIED FIXED

@Patrick, thanks for fixing this issue!